QParserPlugin (Solr 3.6.2 API)
Keywords: org.apache.solr.search.QParserPlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class QParserPlugin

    java.lang.Object
      org.apache.solr.search.QParserPlugin

All Implemented Interfaces:
  NamedListInitializedPlugin

Direct Known Subclasses:
  BoostQParserPlugin, DisMaxQParserPlugin, ExtendedDismaxQParserPlugin, FieldQParserPlugin, FunctionQParserPlugin, FunctionRangeQParserPlugin, LuceneQParserPlugin, NestedQParserPlugin, OldLuceneQParserPlugin, PrefixQParserPlugin, RawQParserPlugin, SpatialFilterQParserPlugin, TermQParserPlugin

    public abstract class QParserPlugin

extends Object
implements NamedListInitializedPlugin

Field Summary
`static String` | `DEFAULT_QTYPE` internal use - name of the default parser
`static Object[]` | `standardPlugins` internal use - name to class mappings of builtin parsers

Constructor Summary
`QParserPlugin()`

Method Summary
`abstract QParser` | `createParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req)` return a `QParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.solr.util.plugin.NamedListInitializedPlugin
`init`

Field Detail

### DEFAULT_QTYPE

    public static String DEFAULT_QTYPE

  internal use - name of the default parser

### standardPlugins

    public static final Object[] standardPlugins

  internal use - name to class mappings of builtin parsers

Constructor Detail

### QParserPlugin

    public QParserPlugin()

Method Detail

### createParser

    public abstract QParser createParser(String qstr,
                                         SolrParams localParams,
                                         SolrParams params,
                                         SolrQueryRequest req)

  return a `QParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD